glom r1414 - in trunk: . win32



Author: arminb
Date: Mon Feb 11 21:04:40 2008
New Revision: 1414
URL: http://svn.gnome.org/viewvc/glom?rev=1414&view=rev

Log:
2008-02-11  Armin Burgmeier  <armin openismus com>

	* win32/build-installer:
	* win32/glom.iss.in: Add all required python files. I would like to
	put them into a separate python/ directory, but did not get it to find
	them there. They are put into the main application directory for now.


Modified:
   trunk/ChangeLog
   trunk/win32/build-installer
   trunk/win32/glom.iss.in

Modified: trunk/win32/build-installer
==============================================================================
--- trunk/win32/build-installer	(original)
+++ trunk/win32/build-installer	Mon Feb 11 21:04:40 2008
@@ -1,6 +1,7 @@
 #!/bin/sh
 echo "You need to execute this on a Windows machine within msys (http://www.mingw.org)"
 echo "You also need InnoSetup (http://www.innosetup.org) with iscc in your PATH"
+echo "You need to have python, pygobject, pycairo and pygtk installed into C:\\Python25"
 echo "Make sure glom and all its dependencies have been installed correctly to /local"
 
 echo "Cleanup..."
@@ -91,9 +92,41 @@
 cp /bin/iconv.dll installer || exit
 cp /bin/zlib1.dll installer || exit
 
+echo "Copying Python..."
+
 # TODO: Find out Windows directory somehow, perhaps by looking at PATH?
 cp /c/WINDOWS/system32/python25.dll installer || exit
 
+# We through all python modules into python/. Glom sets PYTHONPATH accordingly.
+mkdir -p installer/python || exit
+
+# TODO: Perhaps some scripts need more python modules.
+# TODO: Let configure replace @pyexecdir@ to get the correct python path?
+cp /c/Python25/Lib/*.py installer/python || exit
+
+mkdir -p installer/python/encodings || exit
+cp /c/Python25/Lib/encodings/*.py installer/python/encodings || exit
+
+cp /c/Python25/Lib/site-packages/glom.pyd installer/python || exit
+strip installer/python/glom.pyd || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/gda.pyd installer/python || exit
+strip installer/python/gda.pyd || exit
+
+cp /c/Python25/Lib/site-packages/pygtk.py installer/python || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/*.pyd installer/python || exit
+
+mkdir -p installer/python/gobject || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/gobject/*.py installer/python/gobject || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/gobject/*.pyd installer/python/gobject || exit
+
+mkdir -p installer/python/cairo || exit
+cp /c/Python25/Lib/site-packages/cairo/*.py installer/python/cairo || exit
+cp /c/Python25/Lib/site-packages/cairo/*.pyd installer/python/cairo || exit
+
+mkdir -p installer/python/gtk || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/gtk/*.py installer/python/gtk || exit
+cp /c/Python25/Lib/site-packages/gtk-2.0/gtk/*.pyd installer/python/gtk || exit
+
 echo "Copying modules..."
 
 # TODO: Let configure replace @pyexecdir@ to get the correct python path

Modified: trunk/win32/glom.iss.in
==============================================================================
--- trunk/win32/glom.iss.in	(original)
+++ trunk/win32/glom.iss.in	Mon Feb 11 21:04:40 2008
@@ -12,6 +12,7 @@
 
 [Components]
 Name: "gtk"; Description: "GTK+ runtime environment"; Types: full compact custom; Flags: fixed
+Name: "python"; Description: "Python runtime and modules"; Types: full compact custom; Flags: fixed
 Name: "main"; Description: "Glom"; Types: full compact custom; Flags: fixed
 Name: "locale"; Description: "Translations"; Types: full
 
@@ -103,9 +104,9 @@
 Source: "lib/postgresql/*.dll"; DestDir: "{app}/lib"; Components: main;
 
 ; Python modules
-Source: "python25.dll"; DestDir: "{app}"; Components: main
-Source: "glom.pyd"; DestDir: "{app}"; Components: main
-Source: "gda.pyd"; DestDir: "{app}"; Components: main
+Source: "python25.dll"; DestDir: "{app}"; Components: python
+Source: "python/*.py"; DestDir: "{app}"; Components: python; Flags: recursesubdirs
+Source: "python/*.pyd"; DestDir: "{app}"; Components: python; Flags: recursesubdirs
 
 ; Glom executables
 Source: "libglom-0.dll"; DestDir: "{app}"; Components: main



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]